# Codeception Test Suite Configuration

# suite for functional (integration) tests.
# emulate web requests and make application process them.
# (tip: better to use with frameworks).

# RUN `build` COMMAND AFTER ADDING/REMOVING MODULES.
#basic/web/index.php
class_name: FunctionalTester
modules:
    enabled:
      - REST
#      - Filesystem
#      - Yii2
#      - Db
    config:
      REST:
        depends: PhpBrowser
        url: 'http://api.boilerplate.local:8080/index-test.php'
#     Db:
#       dsn: 'mysql:host=localhost;dbname=test_db'
#       user: 'test_user'
#       password: 'test_password'
#       dump: 'codeception/_data/dump.sql'
#       populate: true
#       cleanup: false